Bug 1574605 - javascript error while accessing Storage -> Volumes on a local storage datacenter with no volumes created yet
Summary: javascript error while accessing Storage -> Volumes on a local storage datace...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.2.3
: ---
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 16:09 UTC by Sandro Bonazzola
Modified: 2018-05-19 05:55 UTC (History)
4 users (show)

Fixed In Version: ovirt-engine-4.2.3.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-10 06:29:51 UTC
oVirt Team: Storage
rule-engine: ovirt-4.2+
rule-engine: blocker+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 90887 0 master MERGED webadmin: Fixing NPE when no gluster volumes 2021-02-11 13:53:16 UTC
oVirt gerrit 90888 0 ovirt-engine-4.2.3.z MERGED webadmin: Fixing NPE when no gluster volumes 2021-02-11 13:53:16 UTC
oVirt gerrit 90892 0 ovirt-engine-4.2 MERGED webadmin: Fixing NPE when no gluster volumes 2021-02-11 13:53:16 UTC

Description Sandro Bonazzola 2018-05-03 16:09:22 UTC
Uncaught exception occurred. Please try reloading the page. Details: (TypeError) : Cannot read property 'Dk' of undefined
Please have your administrator check the UI logs

while accessing Storage -> Volumes on a local storage datacenter with no volumes created yet.

ui.log shows:

2018-05-03 18:06:18,087+02 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (default task-32) [] Permutation name: FAA3FB4EBE20B100CDE6E77F4935FC00
2018-05-03 18:06:18,087+02 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (default task-32) [] Uncaught exception: com.google.gwt.core.client.JavaScriptException: (TypeError) : Cannot read property 'Dk' of undefined
        at org.ovirt.engine.ui.uicommonweb.models.volumes.VolumeListModel.$updateActionAvailability(VolumeListModel.java:466)
        at org.ovirt.engine.ui.uicommonweb.models.volumes.VolumeListModel.onSelectedItemChanged(VolumeListModel.java:451)
        at org.ovirt.engine.ui.uicommonweb.models.SearchableListModel.$setItems(SearchableListModel.java:707)
        at org.ovirt.engine.ui.uicommonweb.models.SearchableListModel.setItems(SearchableListModel.java:707)
        at org.ovirt.engine.ui.uicommonweb.models.SearchableListModel$SetItemsAsyncQuery$1.$onSuccess(SearchableListModel.java:870)
        at org.ovirt.engine.ui.uicommonweb.models.SearchableListModel$SetItemsAsyncQuery$1.onSuccess(SearchableListModel.java:870)
        at org.ovirt.engine.ui.frontend.Frontend$1.$onSuccess(Frontend.java:227) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.Frontend$1.onSuccess(Frontend.java:227) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.OperationProcessor$1.$onSuccess(OperationProcessor.java:133) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.OperationProcessor$1.onSuccess(OperationProcessor.java:133) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.GWTRPCCommunicationProvider$5$1.$onSuccess(GWTRPCCommunicationProvider.java:270) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.GWTRPCCommunicationProvider$5$1.onSuccess(GWTRPCCommunicationProvider.java:270) [frontend.jar:]
        at com.google.gwt.user.client.rpc.impl.RequestCallbackAdapter.onResponseReceived(RequestCallbackAdapter.java:198) [gwt-servlet.jar:]
        at com.google.gwt.http.client.Request.$fireOnResponseReceived(Request.java:233) [gwt-servlet.jar:]
        at com.google.gwt.http.client.RequestBuilder$1.onReadyStateChange(RequestBuilder.java:409) [gwt-servlet.jar:]
        at Unknown.eval(webadmin-0.js)
        at com.google.gwt.core.client.impl.Impl.apply(Impl.java:236) [gwt-servlet.jar:]
        at com.google.gwt.core.client.impl.Impl.entry0(Impl.java:275) [gwt-servlet.jar:]
        at Unknown.eval(webadmin-0.js)

ovirt-engine-4.2.3.4-1.el7.centos.noarch

Comment 1 Sahina Bose 2018-05-03 17:46:58 UTC
Gobind, can you check if this is to do with your change?

Comment 2 SATHEESARAN 2018-05-10 03:36:39 UTC
Tested with RHV 4.2.3 with the following steps

1. Created a Local DC and cluster in it
2. Accessed 'Storage' -> 'Volumes'

No UI exceptions observed.

There is different UI exceptions observed which is tracked as part of bug - https://bugzilla.redhat.com/show_bug.cgi?id=1574451

Comment 3 Sandro Bonazzola 2018-05-10 06:29:51 UTC
This bugzilla is included in oVirt 4.2.3 release, published on May 4th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.3 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.

Comment 4 Gobinda Das 2018-05-19 05:55:39 UTC
Removing needinfo as this is done.


Note You need to log in before you can comment on or make changes to this bug.